<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKInterFuncEditViewBase from './ibizbookinter-func-edit-view-base.vue';

import view_form from '@widgets/ibizbook/inter-func-form-form/inter-func-form-form.vue';
@Component({
    components: {
        view_form, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKInterFuncEditView extends IBIZBOOKInterFuncEditViewBase {

}
</script>